package mhp.oee.dao.gen;

import java.util.List;
import mhp.oee.po.gen.ReasonAlertLogPO;
import mhp.oee.po.gen.ReasonAlertLogPOExample;
import org.apache.ibatis.annotations.Param;

public interface ReasonAlertLogPOMapper {
    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table resource_alert_log
     *
     * @mbggenerated
     */
    int countByExample(ReasonAlertLogPOExample example);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table resource_alert_log
     *
     * @mbggenerated
     */
    int deleteByExample(ReasonAlertLogPOExample example);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table resource_alert_log
     *
     * @mbggenerated
     */
    int insert(ReasonAlertLogPO record);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table resource_alert_log
     *
     * @mbggenerated
     */
    int insertSelective(ReasonAlertLogPO record);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table resource_alert_log
     *
     * @mbggenerated
     */
    List<ReasonAlertLogPO> selectByExample(ReasonAlertLogPOExample example);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table resource_alert_log
     *
     * @mbggenerated
     */
    int updateByExampleSelective(@Param("record") ReasonAlertLogPO record, @Param("example") ReasonAlertLogPOExample example);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table resource_alert_log
     *
     * @mbggenerated
     */
    int updateByExample(@Param("record") ReasonAlertLogPO record, @Param("example") ReasonAlertLogPOExample example);
}